﻿@model ContactViewModel

@section Scripts{
    <script src="~/node_modules/jquery-validation/dist/jquery.validate.min.js"></script>
    <script src="~/node_modules/jquery-validation-unobtrusive/dist/jquery.validate.unobtrusive.min.js"></script>
}
    <div class="col-md-6 offset-md-3">
        <div class="card card-body bg-light">
            <form method="post">
                <div asp-validation-summary="ModelOnly"></div>
                <div class="form-group">
                    <label asp-for="Name">Your name:</label>
                    <input type="text" asp-for="Name" value="" class="form-control" />
                    <span asp-validation-for="Name" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Email">Email:</label>
                    <input type="email" asp-for="Email" value="" class="form-control" />
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Subject">Subject</label>
                    <input type="text" asp-for="Subject" value="" class="form-control" />
                    <span asp-validation-for="Subject" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Message">Message</label>
                    <textarea rows="4" asp-for="Message" class="form-control"></textarea>
                    <span asp-validation-for="Message" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-primary" name="submit"><i class="fa fa-envelope"></i> Send Message</button>
                    <div  class="text-success">@ViewBag.UserMessage</div>
                </div>
            </form>
        </div>
    </div>